Subject: [MMUSIC] SDP for SCTP

From: Adam Roach <[email-masked]>
Date: Tue, 26 Jul 2011 13:28:50 -0400

I have a couple of comments on the SDP for SCTP draft.

In looking through the current version of the document, it appears that 
datagram is being assumed (based on, for example, the mention of DTLS 
without TLS). Surely we want to consider using stream-oriented uses as 
well. You might consider that the earlier foray into this arena 
(draft-fairlie-mmusic-sdp-sctp) used different protocol identifiers for 
stream and datagram uses (SCTP and USCTP).

Also, something that sticks out is that the current mechanism does not 
have any way to play nicely with middleboxes and multihomed connections. 
As the draft notes, existing middleboxes do not yet have support for 
SCTP. It would be nice if we gave them the tools to handle this properly 
(should they choose to do so) inside the SDP. Is there a reason we're 
not adding a new set of a= lines to indicate additional IP addresses 
associated with a connection?

/a